;######################SINGLEBULGE##################
function singlebulge, x,y,p, split=split
;p is of form, [disk csb, disk scale lenght, disk scale height, bulge csb, bulge r, bulge q, shiftx, shifty, rot angle]
;modified 03/05/03 to put shift and rotation in.

x=abs(x)
y=abs(y)
p=abs(p)
N=1

radial1=(x/p(1))*beselk(x/p(1),1)
disk1=(  cosh(     (N*y)/(abs(p(2))) )      )^(-2./N) ;note p(2) is z_0
;add in a bulge
r=sqrt(x^2+(y/p(5))^2)

bulge=abs(p(3))*exp( (-1.*r)/abs(p(4)) )
;bulge=5.360*abs(p(3))*exp( (-1.679*r)/abs(p(4)) )	;numbers
;stolen from Kregel paper...I'm not sure
; why they are there, might make p(4) the half light radius or somthing
result=abs(p(0))*radial1*disk1+bulge

result=rot(result,p(8), /interp)        ;and rotate
result=shift(result, p(6),p(7) )        ;shift



if keyword_set(split) then begin
	result=dblarr( n_elements(x(*,0)), n_elements(x(0,*)), 2)
	result(*,*,0)=abs(p(0))*radial1*disk1
	result(*,*,0)=rot( result(*,*,0), p(8), /interp )
	result(*,*,0)=shift( result(*,*,0) , p(6),p(7) )	
        result(*,*,1)=bulge
	result(*,*,1)=rot( result(*,*,1), p(8), /interp )
	result(*,*,1)=shift( result(*,*,1) , p(6),p(7) )

endif

return, result
end
